/* Login form starting stylings ------------------------------- */
.group {
  position: relative;
  margin-bottom: 30px;
  color: #7d7d7d; }
  .group i {
    position: absolute;
    right: 5px;
    top: 10px;
    color: #889ca6;
    font-size: 20px; }
  .group.disabled input[type=text]:disabled, .group.disabled input[type=password]:disabled, .group.disabled textarea:disabled, .group.disabled select:disabled {
    background: transparent;
    padding-left: 0px; }
  .group.disabled input[type=text]:disabled ~ label, .group.disabled input[type=password]:disabled ~ label, .group.disabled textarea:disabled ~ label, .group.disabled select:disabled ~ label {
    top: -10px;
    font-size: 11px;
    color: #c6c7c8;
    font-weight: 400; }

.group.col-md-8.margin-top-6 {
  padding-left: 0; }

input[type=text], input[type=password], input[type=number], select, textarea {
  font-size: 14px;
  padding: 10px 10px 10px 0px;
  display: block;
  width: 100%;
  border: none;
  border-bottom: 1px solid #afbec5;
  font-weight: 500;
  background: transparent; }
  input[type=text].uppercase, input[type=password].uppercase, input[type=number].uppercase, select.uppercase, textarea.uppercase {
    text-transform: uppercase; }

input[type=text]:focus, input[type=password]:focus, input[type=number]:focus, textarea:focus, select:focus {
  outline: none; }

input[type=text]:required, input[type=password]:required, input[type=number]:required, textarea:required, select:required {
  outline: none;
  box-shadow: none;
  border-bottom: 1px solid #afbec5; }

input[type=text]:disabled, input[type=password]:disabled, input[type=number]:disabled, textarea:disabled, select:disabled {
  /*background-color:#eee;*/
  height: 35px;
  top: 3px;
  position: relative;
  padding: 5px 0px !important;
  cursor: not-allowed;
  font-weight: 300; }

.flightinfo-modal-window input[type=text]:disabled, .flightinfo-modal-window input[type=password]:disabled, .flightinfo-modal-window textarea:disabled, .flightinfo-modal-window select:disabled {
  height: 35px;
  top: 3px;
  position: relative;
  padding: 0px !important;
  cursor: not-allowed; }

.station-flight-handling-info-modal-window input[type=text]:disabled, .station-flight-handling-info-modal-window input[type=password]:disabled, .station-flight-handling-info-modal-window textarea:disabled, .station-flight-handling-info-modal-window select:disabled {
  height: 35px;
  width: 100%;
  top: 3px;
  position: relative;
  padding: 0px !important;
  cursor: not-allowed; }

input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
  transition: background-color 5000s ease-in-out 0s; }

textarea {
  width: 100%;
  min-height: 90px;
  resize: none; }

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: url("../images/ic_keyboard_arrow_down_black_24dp_1x.png") no-repeat right center;
  background-size: 20px; }

:focus {
  outline: none; }

/* LABEL ======================================= */
label {
  color: #8097a2;
  font-size: 14px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  top: 10px;
  transition: 0.2s ease all;
  font-weight: 300; }

.normal-label, .label-top-0, .inline-label, .bold, .small-label {
  position: relative;
  color: #7d7d7d;
  font-weight: 500; }

.normal-font-label {
  font-weight: normal; }

.error input[type=text]:focus ~ label {
  color: #c23824; }

.error .bar:before, .error .bar:after {
  background: #c23824; }

.search-panel {
  padding-top: 30px;
  max-height: 80%;
  overflow: auto; }
  .search-panel input[type=text], .search-panel textarea, .search-panel select {
    font-size: 14px;
    padding: 10px 10px 10px 0px;
    color: #636363;
    /*font-weight: 300;*/ }
  .search-panel label {
    font-size: 14px; }

.required-star {
  color: #ef5f5f;
  margin-left: 5px; }

/* active state */
input[type=text]:focus ~ label, input[type=text]:valid ~ label, input[type=password]:focus ~ label, input[type=password]:valid ~ label, input[type=number]:valid ~ label, textarea:focus ~ label, textarea:valid ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3;
  font-weight: 400; }

input[type=text]:disabled ~ label, input[type=password]:disabled ~ label, input[type=number]:disabled ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3;
  left: 0px;
  font-weight: 400; }

.form-element:focus ~ label, .form-element.dirty ~ label {
  top: -10px;
  font-size: 14px;
  color: #2196f3;
  font-weight: 400; }

/* BOTTOM BARS ================================= */
.bar {
  position: relative;
  display: block;
  width: 100%; }

.bar:before, .bar:after {
  content: '';
  height: 1px;
  width: 0;
  bottom: 1px;
  position: absolute;
  background: #2196f3;
  transition: 0.2s ease all; }

.bar:before {
  left: 50%; }

.bar:after {
  right: 50%; }

/* active state */
input[type=text]:focus ~ .bar:before, input[type=text]:focus ~ .bar:after, input[type=password]:focus ~ .bar:before, input[type=password]:focus ~ .bar:after, input[type=number]:focus ~ .bar:before, input[type=number]:focus ~ .bar:after, textarea:focus ~ .bar:before, textarea:focus ~ .bar:after, select:focus ~ .bar:before, select:focus ~ .bar:after {
  width: 50%; }

/* ------------------------  checkbox ------------------------------ */
/* Remove default checkbox */
[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  position: absolute;
  /*left: -9999px;*/
  opacity: 0;
  pointer-events: none; }

[type="checkbox"]:not(:checked) + label,
[type="checkbox"]:checked + label {
  position: relative;
  padding-left: 25px;
  cursor: pointer;
  display: inline-block;
  height: 20px;
  line-height: 20px;
  pointer-events: auto;
  margin-bottom: 10px;
  top: 0px;
  -webkit-user-select: none;
  /* webkit (safari, chrome) browsers */
  -moz-user-select: none;
  /* mozilla browsers */
  -khtml-user-select: none;
  /* webkit (konqueror) browsers */
  -ms-user-select: none;
  /* IE10+ */ }

/* checkbox aspect */
[type="checkbox"] + label:before,
[type="checkbox"] + label:after {
  content: '';
  position: absolute;
  left: 0;
  z-index: 1;
  transition: .2s; }

/* Unchecked styles */
[type="checkbox"]:not(:checked) + label:before {
  top: 0px;
  width: 19px;
  height: 19px;
  border: 2px solid #91a4ae;
  border-radius: 3px; }

[type="checkbox"]:not(:checked) + label:after {
  top: 0px;
  width: 19px;
  height: 19px;
  border: 2px solid #eee;
  z-index: 0; }

/* Checked styles */
[type="checkbox"]:checked + label:before {
  top: 1px;
  left: 1px;
  width: 7px;
  height: 14px;
  border-top: 2px solid transparent;
  border-left: 2px solid transparent;
  border-right: 2px solid #fff;
  border-bottom: 2px solid #fff;
  -webkit-transform: rotateZ(37deg);
  transform: rotateZ(37deg);
  -webkit-transform-origin: 20% 40%;
  transform-origin: 100% 100%;
  border-radius: 3px; }

[type="checkbox"]:checked + label:after {
  top: 0px;
  width: 19px;
  height: 19px;
  border: 2px solid #63b5f7;
  background-color: #63b5f7;
  z-index: 0;
  border-radius: 3px; }

[type="checkbox"]:not(:checked):focus + label:before,
[type="checkbox"]:checked:focus + label:before {
  border: 3px solid #91a4ae; }

/* disabled checkbox */
[type="checkbox"]:disabled:checked + label:after {
  border-color: #bfbfbf;
  background-color: #bfbfbf; }

[type="checkbox"]:disabled:not(:checked) + label:before {
  top: 0;
  box-shadow: none;
  background-color: #bec9d2;
  width: 19px;
  height: 19px;
  border: 2px solid #bec9d2;
  -webkit-transform: rotateZ(0deg);
  transform: rotateZ(0deg); }

[type="checkbox"]:disabled + label {
  color: #bec9d2; }

[type="checkbox"]:disabled:not(:checked) + label:hover:before {
  border-color: #bec9d2; }

/* hover style just for information */
[type="checkbox"]:not(:checked) + label:hover:before {
  border-color: #91a4ae; }

.normal-checkboxlabel {
  margin-bottom: 0px !important;
  top: 5px !important;
  left: 5px; }

/*-------------------------------- small-checkbox ----------------------------------------*/
[type="checkbox"]:not(:checked) + label.small-checkbox, [type="checkbox"]:checked + label.small-checkbox {
  height: 15px;
  top: 2px; }

[type="checkbox"]:not(:checked) + label.small-checkbox:before {
  width: 15px;
  height: 15px; }

[type="checkbox"]:not(:checked) + label.small-checkbox:after {
  width: 15px;
  height: 15px; }

[type="checkbox"]:checked + label.small-checkbox:after {
  width: 15px;
  height: 15px; }

[type="checkbox"]:checked + label.small-checkbox:before {
  left: 0px;
  height: 11px; }

/*----------------------------- checkbox - similar to radio btn --------------*/
[type="checkbox"].newCheckbox:not(:checked) + label {
  background: url("../images/radio_btn_new.png");
  background-position: right -34px;
  background-repeat: no-repeat;
  margin-bottom: 0px;
  top: 0px;
  padding-left: 0px;
  padding-right: 25px;
  color: #009393;
  font-weight: 500;
  vertical-align: middle; }

[type="checkbox"].newCheckbox:checked + label {
  background: url("../images/radio_btn_new.png");
  background-position: right -9px;
  background-repeat: no-repeat;
  padding-left: 0px;
  padding-right: 25px;
  margin-bottom: 0px;
  top: 0px;
  font-weight: 500;
  vertical-align: middle;
  color: #009393; }

[type="checkbox"].newCheckbox + label:after, [type="checkbox"].newCheckbox + label:before {
  border: none;
  background-color: transparent;
  right: 0px;
  left: inherit; }

/*------------------------------ radio button  -------------------------------*/
input[type=radio].css-checkbox {
  position: absolute;
  z-index: -1000;
  left: -1000px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0; }

input[type=radio].css-checkbox + label.css-label {
  padding-left: 24px;
  height: 19px;
  display: inline-block;
  line-height: 19px;
  background-repeat: no-repeat;
  pointer-events: auto;
  position: relative;
  background-position: 0 0;
  top: 0px;
  font-size: 14px;
  transition: none;
  vertical-align: middle;
  cursor: pointer;
  text-transform: uppercase; }

input[type=radio].css-checkbox:checked + label.css-label {
  background-position: 0 -18px; }

input[type=radio].css-checkbox:focus + label.css-label {
  opacity: 0.75; }

label.css-label {
  background-image: url("../images/radio_btn.png");
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none; }

/*---------------------------------- datepicker ------------------------------- */
.datepicker label {
  width: 100%; }
  .datepicker label i {
    float: right;
    font-size: 20px; }

/*------------------------------- select drop down ----------------------------------*/
.select-dropdown {
  width: 100%;
  border-bottom: 1px solid #afbec5;
  height: 38px;
  min-width: 125px; }
  .select-dropdown ul.dropdown-menu {
    border-radius: 0px;
    border: none;
    margin: 0px;
    padding: 0px;
    min-width: 135px;
    position: absolute;
    top: 5px;
    left: 0px; }
    .select-dropdown ul.dropdown-menu li a {
      padding: 7px 10px;
      color: #8097a2; }
    .select-dropdown ul.dropdown-menu li:first-child {
      background-color: #ebf1f5; }
      .select-dropdown ul.dropdown-menu li:first-child a {
        font-weight: 500;
        color: #212121; }
    .select-dropdown ul.dropdown-menu.full-width {
      width: 100%; }
  .select-dropdown.is-error.ng-touched {
    border-bottom-color: #e53935; }
  .select-dropdown.focus {
    outline: none;
    border-bottom: 2px solid #579bd1; }

.ng-submitted .select-dropdown.is-error {
  border-bottom-color: #e53935; }

.select-dropdown-label {
  width: 100%;
  background: url("../images/ic_keyboard_arrow_down_black_24dp_1x.png") no-repeat right center;
  background-size: 20px;
  text-align: left;
  padding-left: 0px;
  box-shadow: none;
  padding-top: 9px;
  color: #8097a2;
  font-weight: 300;
  height: 100%; }

.select-dropdown-label:hover, .select-dropdown-label:focus {
  color: #8097a2; }

.select-dropdown-label:active {
  box-shadow: none; }

.btn-group.open .select-dropdown-label.dropdown-toggle {
  box-shadow: none; }

.selected-dropdown-label {
  color: #2196f3;
  top: -10px;
  font-size: 11px !important; }

.normal-label, .label-top-0, .inline-label, .bold, .small-label {
  position: relative; }

.label-top-0 {
  top: 0px; }

.inline-label {
  color: #2196f3;
  text-transform: uppercase; }

.bold {
  color: #484848;
  font-weight: 500; }

input.inline-input {
  padding-right: 0px;
  text-align: center;
  color: #7d7d7d;
  font-weight: 500;
  font-size: 0.96rem; }

.time-drop-down .select-dropdown {
  min-width: unset; }
  .time-drop-down .select-dropdown .select-dropdown-label {
    height: 38px; }
  .time-drop-down .select-dropdown ul.dropdown-menu {
    border-bottom: none; }

.small-label {
  font-size: 11px;
  font-weight: normal; }

.small-label-top-0 {
  color: #2196f3;
  position: relative;
  top: 0px;
  font-size: 12px; }

.group-inline input {
  display: inline-block; }

.group-inline i {
  font-size: 18px;
  color: #889ca6;
  position: absolute;
  right: 15px;
  top: 10px; }

.small-input {
  width: 50% !important;
  padding: 0px !important;
  float: right; }

/*--------------------------- Time picker ------------------------------ */
.md-icon-float label {
  top: unset;
  margin-bottom: 0px;
  font-size: 14px; }

md-input-container.md-default-theme:not(.md-input-invalid).md-input-focused label, md-input-container:not(.md-input-invalid).md-input-focused label {
  color: #1976d2; }

md-input-container.md-default-theme:not(.md-input-invalid).md-input-focused .md-input, md-input-container:not(.md-input-invalid).md-input-focused .md-input {
  border-color: #1976d2; }

md-input-container.md-default-theme .md-input, md-input-container .md-input {
  color: #212121; }

md-toolbar.md-default-theme.md-hue-1:not(.md-menu-toolbar), md-toolbar.md-hue-1:not(.md-menu-toolbar) {
  background-color: #1976d2; }

a.md-button.md-default-theme.md-primary.md-raised, a.md-button.md-primary.md-raised, a.md-button.md-default-theme.md-primary.md-fab, a.md-button.md-primary.md-fab, .md-button.md-default-theme.md-primary.md-raised, .md-button.md-primary.md-raised, .md-button.md-default-theme.md-primary.md-fab, .md-button.md-primary.md-fab {
  background-color: #1976d2; }

md-toolbar.md-default-theme:not(.md-menu-toolbar), md-toolbar:not(.md-menu-toolbar) {
  background-color: #1976d2; }

a.md-button.md-default-theme.md-primary, a.md-button.md-primary, .md-button.md-default-theme.md-primary, .md-button.md-primary {
  color: #1976d2; }

a.md-button.md-default-theme.md-primary.md-raised:not([disabled]):hover, a.md-button.md-primary.md-raised:not([disabled]):hover, a.md-button.md-default-theme.md-primary.md-fab:not([disabled]):hover, a.md-button.md-primary.md-fab:not([disabled]):hover, .md-button.md-default-theme.md-primary.md-raised:not([disabled]):hover, .md-button.md-primary.md-raised:not([disabled]):hover, .md-button.md-default-theme.md-primary.md-fab:not([disabled]):hover, .md-button.md-primary.md-fab:not([disabled]):hover {
  background-color: #1976d2; }

.yellow-text {
  color: #f0b115; }

/*------------------ uib-typeahead ---------------------------*/
[uib-typeahead-popup].dropdown-menu {
  border-radius: 0px;
  width: 100%;
  border: none;
  margin: 0px;
  padding: 0px;
  max-height: 450px;
  overflow-y: scroll;
  min-width: unset; }

.small-typeahead .dropdown-menu > li > a {
  font-size: 0.9rem;
  padding: 3px 10px; }

/*------------------ Validation error styles ---------------------------*/
.validation-error {
  font-size: 11px;
  color: #e53935;
  font-weight: 500; }

.validationwrapper .select-component .select-dropdown {
  border-color: #e53935; }

.ng-invalid.ng-touched, .invalidInput {
  border-color: #e53935 !important; }

.ng-submitted .ng-invalid {
  border-color: #e53935 !important; }

input[type=text].ng-invalid ~ .bar:before, input[type=text].ng-invalid ~ .bar:after, input[type=password].ng-invalid ~ .bar:before, input[type=password].ng-invalid ~ .bar:after {
  background: #e53935; }

input[type=text].ng-invalid:focus ~ .bar:before, input[type=text].ng-invalid:focus ~ .bar:after, input[type=password].ng-invalid:focus ~ .bar:before, input[type=password].ng-invalid:focus ~ .bar:after {
  background: #e53935; }

input[type=text].ng-empty ~ label, input[type=password].ng-empty ~ label, textarea.ng-empty ~ label {
  top: 10px;
  color: #8097a2;
  font-size: 14px;
  font-weight: 300; }

input[type=text].ng-empty:focus ~ label, input[type=password].ng-empty:focus ~ label, textarea.ng-empty:focus ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3; }

input[type=text].ng-not-empty ~ label, input[type=password].ng-not-empty ~ label, textarea.ng-not-empty ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3;
  left: 0px; }

.date-selected .jqueryui-datepicker ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3; }

.date-empty input[type=text].jqueryui-datepicker ~ label {
  top: 10px;
  font-size: 14px;
  color: #8097a2; }

.date-empty input[type=text].jqueryui-datepicker:focus ~ label {
  top: -10px;
  font-size: 11px;
  color: #2196f3; }

/*----------------------- checkbox align ---------------------------------*/
.checkbox-left-align label {
  top: 0px; }
  .checkbox-left-align label.small-checkbox {
    top: 2px; }

.label-with-placeholder label {
  top: -10px  !important;
  font-size: 11px  !important;
  color: #2196f3  !important; }

.date-list {
  list-style: none;
  padding-left: 0px; }
  .date-list li {
    float: left;
    margin-right: 29px;
    margin-bottom: 10px; }
  .date-list li:last-child {
    margin-right: 0px; }
  .date-list input[type=checkbox] {
    display: none; }
  .date-list input[type=checkbox] + label {
    background: #999;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    display: inline-block;
    padding: 0 0 0 0px;
    text-align: center;
    line-height: 2;
    font-size: 0.9rem;
    color: #fff; }
  .date-list input[type=checkbox]:checked + label {
    background: #2196f3;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    display: inline-block;
    padding: 0 0 0 0px; }
  .date-list [type="checkbox"]:not(:checked) + label:before, .date-list [type="checkbox"]:checked + label:before {
    display: none; }
  .date-list [type="checkbox"]:not(:checked) + label:after, .date-list [type="checkbox"]:checked + label:after {
    display: none; }
  .date-list .date-circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #bdc3c7;
    color: #787b7d;
    line-height: 26px;
    text-align: center;
    font-size: 12px; }
  .date-list .active {
    background-color: #2196f3;
    color: #fff; }

.typeahead-dropdown .dropdown-menu li.active a {
  color: #fff; }
  .typeahead-dropdown .dropdown-menu li.active a:hover, .typeahead-dropdown .dropdown-menu li.active a:focus {
    color: #fff; }

.search-panel input[name="crewType"] + [uib-typeahead-popup].dropdown-menu {
  min-width: 200px;
  width: auto !important; }
